﻿@{
    Layout = "_Layout";
}
<html>
<head>
    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" type="text/css" media="screen" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/css/site.css" />

        <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    </environment>
    


    <link href="~/css/Login.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/fontawesome.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/brands.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/solid.css" rel="stylesheet"> 
</head>


<body>

    @if (!string.IsNullOrEmpty(TempData["Message"] as string))
    {
        <script>alert("@TempData["Message"]");</script>
    }

    <div class="wrapper fadeInDown">
        <div id="formContent">

            <!-- Icon -->
            <div class="fadeIn first">
                <br>
                <br>

                <h2 class="modal-title text-center text-primary">Gestão Contrato de Energia</h2>
            </div>

            <br>
            <br>
            <!-- Login Form -->
            <form  asp-action="ValidUser" asp-controller="User">
                <input type="text" id="cpfLogin" class="fadeIn second" name="cpf" placeholder="CPF ou EMAIL">
                <br>
                <input type="text" id="passwordLogin" class="fadeIn third" name="password" placeholder="SENHA">
                <br>
                <br>
                <br>

                <input type="submit" class="fadeIn fourth" id="Entrar" value="Entrar">
            </form>

            <br>
            <br>

            <!-- Cadastro Usuário -->
            <div id="formFooter">
                <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#cadUser">
                        <i class="fas fa-plus-circle"></i> Cadastrar Usuário
                </button>
            </div>
         </div>
    </div>

    <form asp-action="Post" asp-controller="User">
        <div class="container-fluid">
            <div class="modal fade" id="cadUser" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title text-center text-primary"><i class="fa fa-user-plus"></i> Cadastro de Usuário</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>                    
                        </div>
                        <div class="modal-body">
                            <div class="form-label-group">
                                    <label for="lblCPF" class="control-label"><strong>CPF:</strong></label>
                                    <input name="cpf" type="text" class="form-control" id="cpf" placeholder="CPF" />    
                            </div>
                            <div class="form-group">
                                    <label for="lblemail" class="control-label"><strong>Email:</strong></label>
                                    <input name="email" type="text" class="form-control" id="email" placeholder="Email" />                                                             
                            </div>
                            <div class="form-group">
                                    <label for="lblfullName" class="control-label"><strong>Nome Completo:</strong></label>
                                    <input name="fullName" type="text" class="form-control" id="fullName" placeholder="Nome Completo" />                                    
                            </div>
                            <div class="form-group">
                                    <label for="lblpassword" class="control-label pull-left"><strong>Senha:</strong></label>
                                    <input name="password" type="password" class="form-control" id="password" placeholder="Senha" />  
                            </div>
                            </div>
                            <div class="modal-footer">
                                <button id="Cadastrar"  class="btn btn-success"><i class="fas fa-check-circle"></i> Salvar</button>
                                <button id="Retornar"   class="btn btn-danger"  data-dismiss="modal"><i class="fas fa-close"></i> Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>     
            </div>                
        </div>
    </form>

        @section Scripts {

        <script type="text/javascript">
            $(document).ready(function (){

                $("#Entrar2").on("click", function (){
                        $.ajax({
                            url: 'User/ValidUser/',
                            cache: false,
                            type: 'Post',
                            data: { 
                                id: $("#login").val(),
                                password: $("#loginPassword").val()
                            },
                            success: function (result) {
                                 
                            },
                            error: function (data, textStatus) {
                                alert(textStatus);
                            }                    
                        }).fail(function (jqXHR, textStatus) {
                            alert(textStatus);
                        });
                });
            });
        </script>
        }
</body>
</html>



